Vulnerabilidad en las pieles de WinAmp

Estado
Cerrado para nuevas respuestas

corazon_inquieto

Ex- Mod
Miembro
#1
Secunia reporta una vulnerabilidad en Winamp, que puede ser explotada por personas maliciosas para comprometer el sistema del usuario afectado.

El problema es ocasionado por insuficientes restricciones en los archivos .WSZ usados por el programa (los archivos .WSZ, son archivos ZIP conteniendo las "pieles" o "skins" que el programa puede utilizar para cambiar la apariencia de su interfase).

Esto puede ser explotado por un sitio malicioso por medio de un archivo modificado de tal modo que pueda ubicar y ejecutar programas en forma arbitraria. Con Internet Explorer, esto puede ser hecho sin la intervención directa del usuario.

Un documento XML en el archivo WSZ puede hacer referencia a otro documento HTML usando la etiqueta "browser", además de permitir ejecutarlo en la zona de seguridad local (Mi PC).

Esto puede ser explotado para ejecutar un programa embebido en el archivo skin propiamente dicho utilizando la etiqueta "object" con el atributo "codebase".

Los documentos XML (eXtensible Markup Language), usan un lenguaje de hipertexto desarrollado principalmente para la comunicación de información vía Internet.

Ya existe un exploit totalmente funcional que podría ser utilizado por usuarios maliciosos.

Esta vulnerabilidad está confirmada en sistemas con todos los parches al día, con Winamp 5.04 utilizando Internet Explorer 6.0 en Microsoft Windows XP SP1.

Están afectadas todas las versiones 3.x y 5.x de Winamp a la fecha de este artículo.

No existe aún ninguna solución para este problema.

hispamp3
 
S

songokup

Guest
#2
Bug corregido en la versión 5.05, liberada el dia 27 de agosto de 2004.

Saludos...

Songoku
 
Estado
Cerrado para nuevas respuestas
Arriba Pie